/****** Script for SelectTopNRows command from SSMS  ******/
SELECT TOP (1000) [NIP]
      ,[NO_URUT_KELUARGA]
      ,[KD_HUBUNGAN_KELUARGA]
      ,[JNS_PEND_FORMAL]
      ,[JNS_ORG]
      ,[KD_KEDUDUKAN_ORG]
      ,[JNS_PEKERJAAN]
      ,[KD_AGAMA]
      ,[NO_URUT_ANAK]
      ,[NM_KELUARGA]
      ,[TGL_LAHIR_KELUARGA]
      ,[TMP_LAHIR_KELUARGA]
      ,[JNS_KELAMIN_KELUARGA]
      ,[MENGIKUTI_KB]
      ,[ID]
      ,[KD_STATUS_VALIDASI]
      ,[TGL_BUAT]
      ,[TGL_UBAH]
      ,[NAMA_BUAT]
      ,[NAMA_UBAH]
      ,[TANGGAL_STATUS_PERKAWINAN]
      ,[NIP_PASANGAN]
      ,[NO_KARIS_KARSU]
      ,[TANGGUNGAN]
      ,[ALAMAT]
      ,[PERUSAHAAN]
      ,[NO_SK]
      ,[KET_STATUS]
      ,[KD_KABUPATEN]
      ,[KD_PROPINSI]
      ,[KETERANGAN_PEKERJAAN]
      ,[TELP]
      ,[PEKERJAAN]
      ,[TANGGAL_BUAT]
      ,[INTERNAL]
      ,[STATUS_PERNIKAHAN]
      ,[KD_PEND_FORMAL]
      ,[KD_PEND_UMUM]
      ,[KD_KECAMATAN]
      ,[KD_KELURAHAN]
      ,[kd_grup_pend_formal]
      ,[RT_TMP_TINGGAL]
      ,[RW_TMP_TINGGAL]
      ,[JLN_TMP_TINGGAL]
      ,[REP_ID]
      ,[TANGGAL_BEASISWA_MULAI]
      ,[TANGGAL_BEASISWA_SELESAI]
      ,[BEASISWA]
      ,[KETERANGAN]
      ,[TGL_TANGGUNGAN]
      ,[KETERANGAN_TANGGUNGAN]
      ,[NM_ANAK_PASANGAN]
      ,[ID_NEW]
      ,[NO_INDUK_KEPENDUDUKAN]
      ,[NO_URUT_HUB_KELUARGA]
      ,[STATUS_TANGGUNGAN]
      ,[TGL_CERAI]
      ,[STS_JANDA_DUDA]
      ,[JABATAN]
      ,[ALAMAT_KANTOR]
      ,[TANGGAL_UBAH]
      ,[STS_ANAK]
      ,[TGL_WAFAT_KELUARGA]
      ,[TGL_TIDAK_DITANGGUNG]
      ,[NO_REKENING]
      ,[KD_BANK]
      ,[NM_REKENING]
      ,[NIP_KELUARGA]
      ,[NO_BPJS]
      ,[NO_YKP]
      ,[TKHT]
      ,[IURAN_TKHT]
      ,[MANFAAT_TKHT]
      ,[ID_RIWAYAT_PEG]
  FROM [HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG]
WHERE NIP = 'H03599'

--UPDATE
--	[HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG]
--SET
--	NIP_KELUARGA = NIP + RIGHT(NIP_KELUARGA,3)
--WHERE NIP = 'H03599'

SELECT * FROM [HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG]
WHERE 
	NIP <> LEFT(NIP_KELUARGA,6)
	AND LEFT(NIP_KELUARGA,1) = 'H'
	AND LEFT(NIP,1) = '0'

UPDATE
	[HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG]
SET
	NIP_KELUARGA = NIP + RIGHT(NIP_KELUARGA,3)
WHERE 
	NIP IN (
			SELECT DISTINCT NIP FROM [HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG]
			WHERE 
				NIP <> LEFT(NIP_KELUARGA,6)
				AND LEFT(NIP_KELUARGA,1) = 'H'
				AND LEFT(NIP,1) = '0'
			)

SELECT * INTO [HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG_20221216] FROM [HRIS].[dbo].[SPG_RIWAYAT_KELUARGA_PEG]

